Subject: bug#27511: 26.0.50; emacsclient requires file argument

From: James Nguyen <[email-masked]>
Date: Wed, 28 Jun 2017 20:35:58 -0700

Hmnn, yeah sorry for not expounding earlier.

That snip you sent doesn’t work the way I want. It just opens the Gui Emacs up without opening a new scratch buffer.

At this point, my takeaway is that we think this is 1. not a bug and 2. unlikely to have the default change (emacsclient behaving similarly in spirit to emacs)

I will just have to write a bash function that wraps emacsclient and check for the file arg (or lackof) myself.

Thanks Noam for the help.

> On Jun 28, 2017, at 6:13 PM, [email-masked] wrote:
> 
> James Nguyen <[email-masked]> writes:
> 
>> Those work for me but -c creates a new gui frame and -t opens in terminal.
> 
> Oh, all the responses I saw in the reddit thread you linked were using
> -c or -t, so I thought that's what you wanted.
> 
>> Usually I have a gui client up already and $ emacsclient $FILE is the
>> only choice that opens it in that current frame.
> 
> But it sounds like you're actually after something like
> 
>    emacsclient --eval '(select-frame-set-input-focus (car (frame-list)))'